<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Finance (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Finance (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9,"i5":9,"i6":9,"i7":9,"i8":9,"i9":9,"i10":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/Finance.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/ss/formula/functions/FactDouble.html"
               title="class in org.apache.poi.ss.formula.functions"><span
                class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../../org/apache/poi/ss/formula/functions/FinanceFunction.html"
               title="class in org.apache.poi.ss.formula.functions"><span
                class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/formula/functions/Finance.html"
               target="_top">Frames</a></li>
        <li><a href="Finance.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.ss.formula.functions</div>
    <h2 title="Class Finance" class="title">Class Finance</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.ss.formula.functions.Finance</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">Finance</span>
extends java.lang.Object</pre>
                <div class="block">Implementation of the financial functions pmt, fv, ppmt, ipmt.</div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/functions/Finance.html#Finance--">Finance</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>static double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/functions/Finance.html#fv-double-int-double-double-">fv</a></span>(double&nbsp;r,
                                    int&nbsp;nper,
                                    double&nbsp;c,
                                    double&nbsp;pv)</code>
                                    <div class="block">Overloaded fv() call omitting type, which defaults to 0.</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>static double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/functions/Finance.html#fv-double-int-double-double-int-">fv</a></span>(double&nbsp;r,
                                    int&nbsp;nper,
                                    double&nbsp;pmt,
                                    double&nbsp;pv,
                                    int&nbsp;type)</code>
                                    <div class="block">Emulates Excel/Calc's FV(interest_rate, number_payments, payment,
                                        PV,
                                        Type) function, which calculates future value or principal at period N.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>static double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/functions/Finance.html#ipmt-double-int-int-double-">ipmt</a></span>(double&nbsp;r,
                                    int&nbsp;per,
                                    int&nbsp;nper,
                                    double&nbsp;pv)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>static double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/functions/Finance.html#ipmt-double-int-int-double-double-">ipmt</a></span>(double&nbsp;r,
                                    int&nbsp;per,
                                    int&nbsp;nper,
                                    double&nbsp;pv,
                                    double&nbsp;fv)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>static double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/functions/Finance.html#ipmt-double-int-int-double-double-int-">ipmt</a></span>(double&nbsp;r,
                                    int&nbsp;per,
                                    int&nbsp;nper,
                                    double&nbsp;pv,
                                    double&nbsp;fv,
                                    int&nbsp;type)</code>
                                    <div class="block">Emulates Excel/Calc's IPMT(interest_rate, period,
                                        number_payments, PV,
                                        FV, Type) function, which calculates the portion of the payment at a
                                        given period that is the interest on previous balance.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>static double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/functions/Finance.html#pmt-double-int-double-">pmt</a></span>(double&nbsp;r,
                                    int&nbsp;nper,
                                    double&nbsp;pv)</code>
                                    <div class="block">Overloaded pmt() call omitting fv and type, which both default to
                                        0.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>static double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/functions/Finance.html#pmt-double-int-double-double-">pmt</a></span>(double&nbsp;r,
                                    int&nbsp;nper,
                                    double&nbsp;pv,
                                    double&nbsp;fv)</code>
                                    <div class="block">Overloaded pmt() call omitting type, which defaults to 0.</div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>static double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/functions/Finance.html#pmt-double-int-double-double-int-">pmt</a></span>(double&nbsp;r,
                                    int&nbsp;nper,
                                    double&nbsp;pv,
                                    double&nbsp;fv,
                                    int&nbsp;type)</code>
                                    <div class="block">Emulates Excel/Calc's PMT(interest_rate, number_payments, PV, FV,
                                        Type)
                                        function, which calculates the payments for a loan or the future value of an
                                        investment
                                    </div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>static double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/functions/Finance.html#ppmt-double-int-int-double-">ppmt</a></span>(double&nbsp;r,
                                    int&nbsp;per,
                                    int&nbsp;nper,
                                    double&nbsp;pv)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>static double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/functions/Finance.html#ppmt-double-int-int-double-double-">ppmt</a></span>(double&nbsp;r,
                                    int&nbsp;per,
                                    int&nbsp;nper,
                                    double&nbsp;pv,
                                    double&nbsp;fv)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>static double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/functions/Finance.html#ppmt-double-int-int-double-double-int-">ppmt</a></span>(double&nbsp;r,
                                    int&nbsp;per,
                                    int&nbsp;nper,
                                    double&nbsp;pv,
                                    double&nbsp;fv,
                                    int&nbsp;type)</code>
                                    <div class="block">Emulates Excel/Calc's PPMT(interest_rate, period,
                                        number_payments, PV,
                                        FV, Type) function, which calculates the portion of the payment at a
                                        given period that will apply to principal.
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="Finance--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>Finance</h4>
                                <pre>public&nbsp;Finance()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="pmt-double-int-double-double-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>pmt</h4>
                                <pre>public static&nbsp;double&nbsp;pmt(double&nbsp;r,
                         int&nbsp;nper,
                         double&nbsp;pv,
                         double&nbsp;fv,
                         int&nbsp;type)</pre>
                                <div class="block">Emulates Excel/Calc's PMT(interest_rate, number_payments, PV, FV,
                                    Type)
                                    function, which calculates the payments for a loan or the future value of an
                                    investment
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>r</code> - - periodic interest rate represented as a decimal.</dd>
                                    <dd><code>nper</code> - - number of total payments / periods.</dd>
                                    <dd><code>pv</code> - - present value -- borrowed or invested principal.</dd>
                                    <dd><code>fv</code> - - future value of loan or annuity.</dd>
                                    <dd><code>type</code> - - when payment is made: beginning of period is 1; end, 0.
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd><code>double</code> representing periodic payment amount.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="pmt-double-int-double-double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>pmt</h4>
                                <pre>public static&nbsp;double&nbsp;pmt(double&nbsp;r,
                         int&nbsp;nper,
                         double&nbsp;pv,
                         double&nbsp;fv)</pre>
                                <div class="block">Overloaded pmt() call omitting type, which defaults to 0.</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../../org/apache/poi/ss/formula/functions/Finance.html#pmt-double-int-double-double-int-"><code>pmt(double,
                                            int, double, double, int)</code></a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="pmt-double-int-double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>pmt</h4>
                                <pre>public static&nbsp;double&nbsp;pmt(double&nbsp;r,
                         int&nbsp;nper,
                         double&nbsp;pv)</pre>
                                <div class="block">Overloaded pmt() call omitting fv and type, which both default to
                                    0.
                                </div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../../org/apache/poi/ss/formula/functions/Finance.html#pmt-double-int-double-double-int-"><code>pmt(double,
                                            int, double, double, int)</code></a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="ipmt-double-int-int-double-double-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>ipmt</h4>
                                <pre>public static&nbsp;double&nbsp;ipmt(double&nbsp;r,
                          int&nbsp;per,
                          int&nbsp;nper,
                          double&nbsp;pv,
                          double&nbsp;fv,
                          int&nbsp;type)</pre>
                                <div class="block">Emulates Excel/Calc's IPMT(interest_rate, period, number_payments,
                                    PV,
                                    FV, Type) function, which calculates the portion of the payment at a
                                    given period that is the interest on previous balance.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>r</code> - - periodic interest rate represented as a decimal.</dd>
                                    <dd><code>per</code> - - period (payment number) to check value at.</dd>
                                    <dd><code>nper</code> - - number of total payments / periods.</dd>
                                    <dd><code>pv</code> - - present value -- borrowed or invested principal.</dd>
                                    <dd><code>fv</code> - - future value of loan or annuity.</dd>
                                    <dd><code>type</code> - - when payment is made: beginning of period is 1; end, 0.
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd><code>double</code> representing interest portion of payment.</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../../org/apache/poi/ss/formula/functions/Finance.html#pmt-double-int-double-double-int-"><code>pmt(double,
                                            int, double, double, int)</code></a>,
                                        <a href="../../../../../../org/apache/poi/ss/formula/functions/Finance.html#fv-double-int-double-double-int-"><code>fv(double,
                                            int, double, double, int)</code></a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="ipmt-double-int-int-double-double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>ipmt</h4>
                                <pre>public static&nbsp;double&nbsp;ipmt(double&nbsp;r,
                          int&nbsp;per,
                          int&nbsp;nper,
                          double&nbsp;pv,
                          double&nbsp;fv)</pre>
                            </li>
                        </ul>
                        <a name="ipmt-double-int-int-double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>ipmt</h4>
                                <pre>public static&nbsp;double&nbsp;ipmt(double&nbsp;r,
                          int&nbsp;per,
                          int&nbsp;nper,
                          double&nbsp;pv)</pre>
                            </li>
                        </ul>
                        <a name="ppmt-double-int-int-double-double-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>ppmt</h4>
                                <pre>public static&nbsp;double&nbsp;ppmt(double&nbsp;r,
                          int&nbsp;per,
                          int&nbsp;nper,
                          double&nbsp;pv,
                          double&nbsp;fv,
                          int&nbsp;type)</pre>
                                <div class="block">Emulates Excel/Calc's PPMT(interest_rate, period, number_payments,
                                    PV,
                                    FV, Type) function, which calculates the portion of the payment at a
                                    given period that will apply to principal.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>r</code> - - periodic interest rate represented as a decimal.</dd>
                                    <dd><code>per</code> - - period (payment number) to check value at.</dd>
                                    <dd><code>nper</code> - - number of total payments / periods.</dd>
                                    <dd><code>pv</code> - - present value -- borrowed or invested principal.</dd>
                                    <dd><code>fv</code> - - future value of loan or annuity.</dd>
                                    <dd><code>type</code> - - when payment is made: beginning of period is 1; end, 0.
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd><code>double</code> representing principal portion of payment.</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../../org/apache/poi/ss/formula/functions/Finance.html#pmt-double-int-double-double-int-"><code>pmt(double,
                                            int, double, double, int)</code></a>,
                                        <a href="../../../../../../org/apache/poi/ss/formula/functions/Finance.html#ipmt-double-int-int-double-double-int-"><code>ipmt(double,
                                            int, int, double, double, int)</code></a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="ppmt-double-int-int-double-double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>ppmt</h4>
                                <pre>public static&nbsp;double&nbsp;ppmt(double&nbsp;r,
                          int&nbsp;per,
                          int&nbsp;nper,
                          double&nbsp;pv,
                          double&nbsp;fv)</pre>
                            </li>
                        </ul>
                        <a name="ppmt-double-int-int-double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>ppmt</h4>
                                <pre>public static&nbsp;double&nbsp;ppmt(double&nbsp;r,
                          int&nbsp;per,
                          int&nbsp;nper,
                          double&nbsp;pv)</pre>
                            </li>
                        </ul>
                        <a name="fv-double-int-double-double-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>fv</h4>
                                <pre>public static&nbsp;double&nbsp;fv(double&nbsp;r,
                        int&nbsp;nper,
                        double&nbsp;pmt,
                        double&nbsp;pv,
                        int&nbsp;type)</pre>
                                <div class="block">Emulates Excel/Calc's FV(interest_rate, number_payments, payment, PV,
                                    Type) function, which calculates future value or principal at period N.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>r</code> - - periodic interest rate represented as a decimal.</dd>
                                    <dd><code>nper</code> - - number of total payments / periods.</dd>
                                    <dd><code>pmt</code> - - periodic payment amount.</dd>
                                    <dd><code>pv</code> - - present value -- borrowed or invested principal.</dd>
                                    <dd><code>type</code> - - when payment is made: beginning of period is 1; end, 0.
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd><code>double</code> representing future principal value.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="fv-double-int-double-double-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>fv</h4>
                                <pre>public static&nbsp;double&nbsp;fv(double&nbsp;r,
                        int&nbsp;nper,
                        double&nbsp;c,
                        double&nbsp;pv)</pre>
                                <div class="block">Overloaded fv() call omitting type, which defaults to 0.</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../../org/apache/poi/ss/formula/functions/Finance.html#fv-double-int-double-double-int-"><code>fv(double,
                                            int, double, double, int)</code></a></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/Finance.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/ss/formula/functions/FactDouble.html"
               title="class in org.apache.poi.ss.formula.functions"><span
                class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../../org/apache/poi/ss/formula/functions/FinanceFunction.html"
               title="class in org.apache.poi.ss.formula.functions"><span
                class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/formula/functions/Finance.html"
               target="_top">Frames</a></li>
        <li><a href="Finance.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
